(ns wanijo.auth.handler
  (:require [ring.util.response :as rur]
            [wanijo.neo4j :as neo]
            [buddy.hashers :as bh]))

(defn login-check! [req]
  (let [{{:keys [uname pw]} :params} req
        unode (neo/find-user! uname)
        pwmatch (when-let [hash (:pw unode)]
                  (bh/check pw hash))]
    (if pwmatch
      (-> (rur/redirect "/")
          (assoc-in [:session :ident] uname)
          (assoc-in [:session :unode] unode))
      (-> (rur/redirect "/login")
          (assoc :flash :invalid-credentials)))))

(defn logout [req]
  (-> (rur/redirect "/login")
      (assoc :session nil)))
