(ns wanijo.handler
  (:require [compojure.core :refer :all]
            [compojure.route :as route]
            [ring.middleware.defaults :refer [wrap-defaults site-defaults]]
            [ring.util.response :as rur]
            [hiccup.page :as hp]
            [wanijo.auth.routes :refer [auth-routes]]
            [wanijo.view :refer [layout]]))

(defn- home [req]
  (layout :title "home" :session (:session req)))

(defn- wrap-login-redirect [handler]
  (fn [req]
    (if-not (get-in req [:session :ident])
      (rur/redirect "/login")
      (handler req))))

(defroutes app-routes
  (routes auth-routes)
  (wrap-login-redirect
   (GET "/" [] home))
  (route/not-found "Not Found"))

(def app
  (-> app-routes
      (wrap-defaults site-defaults)))
