(ns wanijo.view
  (:require [hiccup.page :refer [html5
                                 include-css]]))

(defn layout
  [& {:keys [content title session]
      :or {content []
           title nil
           session {}}}]
  (let [ident (:ident session)
        authed? (some? ident)]
    (html5
     [:head
      [:meta {:charset "utf-8"}]
      [:meta {:name "viewport"
              :content "width=device-width,initial-scale=1,shrink-to-fit=no"}]
      [:title (str "wan ijo" (when title (str " - " title)))]
      (include-css "/css/app.css")]
     [:body
      [:section.grid
       [:header
        [:h1.app-title "wan ijo"
         (when authed?
           [:small.app-title__hello
            (str "O, " ident)])]
        (when authed?
          [:section.header-content
           [:a.header-content__link {:href "/logout"}
            "Lape"]])]
       [:nav (when authed? "nav")]
       (vec (concat [:main] content))
       [:aside (when authed? "aside")]
       [:footer
        [:small "Ilo pali e ijo"]]]])))
